XSImplementation (XML Schema API)
Date: 2016-02-03

org.apache.xerces.xs

## Interface XSImplementation

-     public interface XSImplementation

  This interface allows one to retrieve an instance of `XSLoader`. This interface should be implemented on the same object that implements DOMImplementation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LSInputList` | `createLSInputList(org.w3c.dom.ls.LSInput[] values)` Creates an immutable `LSInputList` from the given array of `LSInput`s.
    `StringList` | `createStringList(java.lang.String[] values)` Creates an immutable `StringList` from the given array of `String`s.
    `XSLoader` | `createXSLoader(StringList versions)` Creates a new XSLoader.
    `StringList` | `getRecognizedVersions()` A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.

- - ### Method Detail

    - #### getRecognizedVersions

          StringList getRecognizedVersions()

      A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.

    - #### createXSLoader

          XSLoader createXSLoader(StringList versions)
                                  throws XSException

      Creates a new XSLoader. The newly constructed loader may then be configured and used to load XML Schemas.
      Parameters:
        `versions` - A list containing the versions of XML Schema documents which can be loaded by the `XSLoader` or `null` to permit XML Schema documents of any recognized version to be loaded by the XSLoader.
      Returns:
        An XML Schema loader.
      Throws:
        `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support one of the specified versions.

    - #### createStringList

          StringList createStringList(java.lang.String[] values)

      Creates an immutable `StringList` from the given array of `String`s.
      Parameters:
        `values` - the array containing the `String` values that will be placed in the list.
      Returns:
        an immutable `StringList` from the given array of `String`s.

    - #### createLSInputList

          LSInputList createLSInputList(org.w3c.dom.ls.LSInput[] values)

      Creates an immutable `LSInputList` from the given array of `LSInput`s.
      Parameters:
        `values` - the array containing the `LSInput` values that will be placed in the list.
      Returns:
        an immutable `LSInputList` from the given array of `LSInput`s.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.